## cacheme 0.1-1

=== Makefile ===
#############################################################################
# Makefile for building: cacheme
# Generated by qmake (2.01a) (Qt 4.7.0) on: Thu Jan 27 14:45:13 2011
# Project:  cacheme.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile cacheme.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DAPPNAME=\"cacheme\" -DQT_MAEMO5_LIB -DQT_SVG_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/QtSvg -I/targets/FREMANTLE_ARMEL/usr/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/usr/include -I/usr/include/QtLocation -I. -I/targets/FREMANTLE_ARMEL/usr/include/qjson -I/targets/FREMANTLE_ARMEL/opt/qtm12/include -I/targets/FREMANTLE_ARMEL/opt/qtm12/include/QtMobility -I/targets/FREMANTLE_ARMEL/opt/qtm12/include/QtLocation -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/opt/qtm12/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lqjson -L/opt/qtm12/lib -lQtLocation -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtSvg -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = iconloader.cpp \
		mainwindow.cpp \
		main.cpp \
		cache.cpp \
		cacheprovider.cpp \
		gcprovider.cpp \
		gcparser.cpp \
		mapwidget.cpp \
		mapoverlay.cpp \
		mapbutton.cpp \
		mapbuttonmanager.cpp \
		mapbubble.cpp \
		locationprovider.cpp moc_mainwindow.cpp \
		moc_cacheprovider.cpp \
		moc_gcprovider.cpp \
		moc_gcparser.cpp \
		moc_mapwidget.cpp \
		moc_mapbutton.cpp \
		moc_mapbubble.cpp \
		moc_locationprovider.cpp
OBJECTS       = iconloader.o \
		mainwindow.o \
		main.o \
		cache.o \
		cacheprovider.o \
		gcprovider.o \
		gcparser.o \
		mapwidget.o \
		mapoverlay.o \
		mapbutton.o \
		mapbuttonmanager.o \
		mapbubble.o \
		locationprovider.o \
		moc_mainwindow.o \
		moc_cacheprovider.o \
		moc_gcprovider.o \
		moc_gcparser.o \
		moc_mapwidget.o \
		moc_mapbutton.o \
		moc_mapbubble.o \
		moc_locationprovider.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		cacheme.pro
QMAKE_TARGET  = cacheme
DESTDIR       = 
TARGET        = cacheme

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: cacheme.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile cacheme.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile cacheme.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/cacheme1.0.0 || $(MKDIR) .tmp/cacheme1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/cacheme1.0.0/ && $(COPY_FILE) --parents iconloader.h mainwindow.h cache.h cacheprovider.h gcprovider.h gcparser.h mapwidget.h mapoverlay.h mapbutton.h mapbuttonmanager.h mapbubble.h locationprovider.h .tmp/cacheme1.0.0/ && $(COPY_FILE) --parents iconloader.cpp mainwindow.cpp main.cpp cache.cpp cacheprovider.cpp gcprovider.cpp gcparser.cpp mapwidget.cpp mapoverlay.cpp mapbutton.cpp mapbuttonmanager.cpp mapbubble.cpp locationprovider.cpp .tmp/cacheme1.0.0/ && (cd `dirname .tmp/cacheme1.0.0` && $(TAR) cacheme1.0.0.tar cacheme1.0.0 && $(COMPRESS) cacheme1.0.0.tar) && $(MOVE) `dirname .tmp/cacheme1.0.0`/cacheme1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/cacheme1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_cacheprovider.cpp moc_gcprovider.cpp moc_gcparser.cpp moc_mapwidget.cpp moc_mapbutton.cpp moc_mapbubble.cpp moc_locationprovider.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_cacheprovider.cpp moc_gcprovider.cpp moc_gcparser.cpp moc_mapwidget.cpp moc_mapbutton.cpp moc_mapbubble.cpp moc_locationprovider.cpp
moc_mainwindow.cpp: locationprovider.h \
		mapwidget.h \
		cache.h \
		iconloader.h \
		mapoverlay.h \
		mapbuttonmanager.h \
		mapbutton.h \
		mapbubble.h \
		gcprovider.h \
		cacheprovider.h \
		mainwindow.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_cacheprovider.cpp: cache.h \
		cacheprovider.h
	/usr/bin/moc $(DEFINES) $(INCPATH) cacheprovider.h -o moc_cacheprovider.cpp

moc_gcprovider.cpp: cacheprovider.h \
		cache.h \
		gcprovider.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gcprovider.h -o moc_gcprovider.cpp

moc_gcparser.cpp: cacheprovider.h \
		cache.h \
		gcparser.h
	/usr/bin/moc $(DEFINES) $(INCPATH) gcparser.h -o moc_gcparser.cpp

moc_mapwidget.cpp: cache.h \
		iconloader.h \
		mapoverlay.h \
		mapbuttonmanager.h \
		mapbutton.h \
		mapbubble.h \
		mapwidget.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mapwidget.h -o moc_mapwidget.cpp

moc_mapbutton.cpp: iconloader.h \
		cache.h \
		mapbutton.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mapbutton.h -o moc_mapbutton.cpp

moc_mapbubble.cpp: iconloader.h \
		cache.h \
		mapbubble.h
	/usr/bin/moc $(DEFINES) $(INCPATH) mapbubble.h -o moc_mapbubble.cpp

moc_locationprovider.cpp: locationprovider.h
	/usr/bin/moc $(DEFINES) $(INCPATH) locationprovider.h -o moc_locationprovider.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

iconloader.o: iconloader.cpp iconloader.h \
		cache.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o iconloader.o iconloader.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		locationprovider.h \
		mapwidget.h \
		cache.h \
		iconloader.h \
		mapoverlay.h \
		mapbuttonmanager.h \

=== debian/changelog ===
cacheme (0.1-1) unstable; urgency=low

  * Initial test release

 -- Till Harbaum <till@harbaum.org>  Fri, 21 Jan 2011 19:51:09 +0100

=== debian/control ===
Source: cacheme
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <till@harbaum.org>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-12-dev, libqjson-dev, libx11-dev
Standards-Version: 3.7.2

Package: cacheme
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Online geocaching application
 CacheMe is an online geocaching application written in Qt.
XB-Description-de_DE: Online-Geocaching-Anwendung
 CacheMe ist eine Online-Geocaching-Anwendung geschrieben in Qt.
# XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=???
XB-Maemo-Display-Name: CacheMe
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAUwwAAFMMBFXBNQgAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAccSURBVGiB7Zp7TFvXHcc/52JjHjamhEKC
 ISEIOvIckGbLok00mhpFqVJN3dJM1VatkwKjxJApyyqlW1opoWKrNm3q/tkU
 KZMmLVmzNoSIpIVljZI0JSlJO14To9OgkQkxtaFgbIyNz/6wTS/4jZtHp32k
 K+uee+453+899/c7x/deIaUkgAaoBbYDG4AMHiycQA/QDvwe8AKIgIFVwBvA
 pvulLkFuAN8GhoWUUgN0ski8amQiEqlOouXxoCgKiqKoi24AW4K3zaZgBx6P
 J6QjKSVSSnw+X8hvcFu8H6vc5/MlZEAIgV6vx2QyodVqCWiuVfDf8wDz4oUQ
 846FEGE3dcPqfXXZ4vJo58RCSsnU1BQWi0VdvF3BH7DzldTi1Zu600gCYwlb
 ivDFOBwO9ehtUAhkm+BtoxYXFB5NtFrcvSB4SwbI0ESqKIQA31UU71WElEgk
 SuBXColUVL8B88FYkVLimq3E5a4EYMA5zIBzeMFxKSXxhHSZrpBSXWHE4yEG
 1AGreK8i5n5NyLUVgS0KUu79zIDrY87ar8QhNwxZW+I3sPhKCilj6bzvhDXg
 8/kQQhDfIIcnmZyfCAsMBIXPB3GSIoIjyV00E/EWSnYE7hURR0BKf5ZZehD4
 Z06j0UhD8bPs4/txnfXvqVscuPYqrjl3XPUXLC7CLQ+WhPIo+uxaent72Vi5
 jiyjnmyjIeqWnppGZqaOiyfe5rEVm+Puan4E1BNEcFKSIkEDYjlof86wpYp9
 jTV0dV9j7W4DxUWrcczMhVTXpggeNmp573e3GP2nh+yV6UxMTGDQFMfd5YIR
 WLz4in8EdKBtxCk7OPTydaq+UsGYsZstL+RhN2gYsMxgsXkWbG6PxDcyQ+uP
 B3BPz7GzqRTTl/VxCw8SNgaCxGUgZSekvsSfT17hwMF15K7XUH24AKtzju7h
 mZAElKoRFOfr6D9u4Xa/g6o9Kyjd9hCOsVlGulwse3wZE17X0gzMpz3iWNso
 5aA9ws1/ZFDz/LewzYxQVZeFN0tD/6ibWW+o+bxsDek2D5de/Ah9XipPNJWR
 maNloMNGb8snfP1r3+CpZ3fzw8uHl2ZAHQNqMwsQ2aD9KVb7Dn7ywkHe6jhH
 +VMGCtcvY+jOLJMjodlDpxWU5OvoPT7CSN8UlU8vp2xbDo5PZuk4OsSq3Ec4
 fGgfVquVdst7THmm4zYQEgORs1AKaJ7Dk3KJV38zxpoNa+lzXuSxl1bgLUyj
 5z8uJp2hgbriIS0Fs5J3XvwI54SXnUdKKduWw78u2Llw9BYvH/gF73feICcn
 J27RakKyUPDqB8v8CEj7K+ffHqfOvIn0wjmqDy1HZ9RgnfCgSQFTrjak8ewM
 Dd3HLVh6pqj4znIe+WYO03YPHU1DFOWU0vvhuxQXFy9JeIgBCA1i12wlUu5F
 k/olzp+28PSe3QgF+FgweHU0ZuO+OYmxII2dR0rRP5zK4N/t9J8Zp7npl9Q/
 Xx82zkpSC9iRtWV+vyzKSjS2Abd/Ta/X6xkbO8Xax/PZ+N3cmMKDvPOrIfLL
 MxGK4G9NQxQYS+j54AqrV6+OeE6JroAMlYFYRMxCahL9A67G8uEUg+2TvHKk
 GfM+8+f+zy1sFgpybdLJtUknG3I9rFy5kv4OK33td0hJFczNRp4jUrSCOY8E
 CaXlJXTebKekpCRifZvNxpkzZ9i6dSvp4/3k374+f8xhKGVaX7o0A52T07xm
 saEZsXFl+1aajjYBcPHyBRyrBlj1VWNIgx/80Y55z88QCI4dO0ZXV1fEzgFO
 nz7N/v37qaur42D9c6S01aCfdahq7IjPQNi1UOB28krJyeER8gN163/UwA9q
 vof1ZmjaHB2Y5JmWZzhx4kRU4TabDbPZzODgIOfOnWNd+m1oq4UF4mMTcSJT
 G1jMrl27ePNkKy5X6JRfVFSE0Rg6MmpaWlpobGyktraWP/3ht6S8/xrcejch
 4RENhJ8HQqmurk64M7vdjtlsZmBggLa2NtZn3oG2veCeSritIAnMxMnR2tpK
 ZWUla9asofPiedaPvQ6XX0lKPER4rPLZTlJtI4RgfHychoYG+vr6OHv2LBuz
 bNBWA+7J5BoPoMSusnSsVisVFRWUlZVx/VI7G+1vwqWjn5t4CDMCkZj0eKky
 maipqaG5uTlmfbfbTVFREadOnaI8Pw1NWw24P01KbDjiNvD68G3qn3iS8fHd
 cTeuKAqjo6N82v0X8u6CeEjAgMPrZdNb8T8erMszUpfvT6dpieuKm7saA/eC
 /xu433zhDUQN4kf1OuqIvq6Jdm4Qh6EU2LGkdvznRiaqgc2ZaWzOTD6HTOuj
 r+mTQcH/BnzB+7AHmeC7uwBOBf/rexRFQa9P/NHevUav16sN9Cj4vz0AwGQy
 YTAYHsiREEJgMBgwmUzq4vawnxos5U363SbSpwb/Ex97BAu/kJ/b/Bcjs5G0
 krQaTAAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	qmake
	$(MAKE)
	#docbook-to-man debian/cacheme.sgml > cacheme.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f cacheme *~ 

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/cacheme.
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/cacheme install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## cacheme 0.2-1

=== Makefile ===
#############################################################################
# Makefile for building: cacheme
# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Jan 31 12:25:07 2011
# Project:  cacheme.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile cacheme.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DAPPNAME=\"cacheme\" -DVERSION=\"0.2\" -DQT_MAEMO5_LIB -DQT_SVG_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/QtCore -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/QtNetwork -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/QtGui -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/QtXml -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/QtSvg -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/QtMaemo5 -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include -I/usr/include/QtLocation -I. -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/include/qjson -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/opt/qtm12/include -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/opt/qtm12/include/QtMobility -I/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/opt/qtm12/include/QtLocation -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/opt/qtm12/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lqjson -L/opt/qtm12/lib -lQtLocation -lQtMaemo5 -L/usr/lib -L/usr/X11R6/lib -lQtSvg -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = iconloader.cpp \
		mainwindow.cpp \
		main.cpp \
		cache.cpp \
		cacheprovider.cpp \
		gcprovider.cpp \
		gcparser.cpp \
		mapwidget.cpp \
		mapoverlay.cpp \
		mapbutton.cpp \
		mapbuttonmanager.cpp \
		mapbubble.cpp \
		locationprovider.cpp moc_mainwindow.cpp \
		moc_cacheprovider.cpp \
		moc_gcprovider.cpp \
		moc_gcparser.cpp \
		moc_mapwidget.cpp \
		moc_mapbutton.cpp \
		moc_mapbubble.cpp \
		moc_locationprovider.cpp
OBJECTS       = iconloader.o \
		mainwindow.o \
		main.o \
		cache.o \
		cacheprovider.o \
		gcprovider.o \
		gcparser.o \
		mapwidget.o \
		mapoverlay.o \
		mapbutton.o \
		mapbuttonmanager.o \
		mapbubble.o \
		locationprovider.o \
		moc_mainwindow.o \
		moc_cacheprovider.o \
		moc_gcprovider.o \
		moc_gcparser.o \
		moc_mapwidget.o \
		moc_mapbutton.o \
		moc_mapbubble.o \
		moc_locationprovider.o
DIST          = /targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		cacheme.pro
QMAKE_TARGET  = cacheme
DESTDIR       = 
TARGET        = cacheme

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
	lrelease /home/builder3/maemo-fremantle-armel-extras-devel/work/cacheme-0.2/cacheme.pro

Makefile: cacheme.pro  /targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/mobility12.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtMaemo5.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtNetwork.prl
	$(QMAKE) -o Makefile cacheme.pro
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/common/unix.conf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/common/linux.conf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/qconfig.pri:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/debug.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/mobility12.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/qt.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/moc.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/resources.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/uic.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/lex.prf:
/targets/maemo5-arm-24e4ff9f47f0c6264e268cd8c1d69a256fff9e85/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtMaemo5.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile cacheme.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/cacheme0.2 || $(MKDIR) .tmp/cacheme0.2

=== debian/changelog ===
cacheme (0.2-1) unstable; urgency=low

  * gps precision indicator
  * Adjust object layering (map->caches->precision->gps->bubble)
  * put all cache icons into a qgeomapgroupobject
  * bug tracker link
  * adjust request frequencies cache/gps
  * basic menu
  * basic about box
  * correctly wrap multiline with icon (e.g. container)
  * allow for translations
  * translate/clip painter in mapbubble
  * adjust asymmetric 2 column width
  * use of two columns only in landscape
  * align rating stars

 -- Till Harbaum <till@harbaum.org>  Thu, 27 Jan 2011 21:14:38 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  CacheMe is an online geocaching application written in Qt.
 XB-Description-de_DE: Online-Geocaching-Anwendung
  CacheMe ist eine Online-Geocaching-Anwendung geschrieben in Qt.
-# XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=???
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2062
 XB-Maemo-Display-Name: CacheMe
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
-	rm -f cacheme *~ 
+	rm -f cacheme moc_*.cpp *.o *~ */*~ */*/*~
 
 	dh_clean
